Lấy tiểu khoản Master
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"investorId": 123,
"orderSecure": 123,
"derivativeOrderSecure": 123,
"dealSecure": 123,
"initDerivativeDealSecures": [
"<unknown>"
],
"derivativeDealSecure": 123,
"tradingFeeSecure": 123,
"totalCash": 123,
"sellingTaxSecure": 123,
"orderMoneyAdvanceFeeSecure": 123,
"receivable": 123,
"taxCredit": 123,
"initCash": 123,
"holdOvernightSecure": 123,
"originalReferenceBonus": 123,
"referenceBonus": 123,
"netDerivativeOrderSecure": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"status": "<string>",
"type": "<string>",
"availableCash": 123,
"withdrawalCash": 123,
"purchasingPower": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Tài khoản
Lấy tiểu khoản Master
Lấy thông tin tiểu khoản Master của khách hàng theo investorId.
GET
/
investors
/
{investorId}
/
investor_account
Lấy tiểu khoản Master
curl --request GET \
--url https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://services.entrade.com.vn/entrade-api/investors/{investorId}/investor_account")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"investorId": 123,
"orderSecure": 123,
"derivativeOrderSecure": 123,
"dealSecure": 123,
"initDerivativeDealSecures": [
"<unknown>"
],
"derivativeDealSecure": 123,
"tradingFeeSecure": 123,
"totalCash": 123,
"sellingTaxSecure": 123,
"orderMoneyAdvanceFeeSecure": 123,
"receivable": 123,
"taxCredit": 123,
"initCash": 123,
"holdOvernightSecure": 123,
"originalReferenceBonus": 123,
"referenceBonus": 123,
"netDerivativeOrderSecure": 123,
"createdDate": "<string>",
"modifiedDate": "<string>",
"status": "<string>",
"type": "<string>",
"availableCash": 123,
"withdrawalCash": 123,
"purchasingPower": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}{
"code": "<string>",
"message": "<string>",
"status": 123
}Ủy quyền
JWT token lấy từ API đăng nhập.
Tham số đường dẫn
Mã investorId của Khách Hàng
Phản hồi
Thành công
Mã khách hàng
Cọc trong lệnh
Cọc trong deal
Cọc còn lại của tiểu khoản
Cọc giữ qua đêm
Giờ tạo
Giờ cập nhật
Trạng thái tiểu khoản